> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/vdi-platform-specific-deployment-scenarios/microsoft-avd.md).

# Microsoft AVD

Microsoft Azure Virtual Desktop (AVD) はクラウド上で動作し、仮想マシンは組織自身の Azure サブスクリプション内にホストされています。 これにより、組織は Azure が提供するスケーラブルなインフラストラクチャを活用しながら、仮想デスクトップの集中管理を行うことができます。 このソリューションは、個人およびプール型の仮想デスクトップとアプリケーションを柔軟に提供しつつ、オンプレミスのデータセンター依存を削減したい企業によく利用されています。

{% stepper %}
{% step %}
**コネクタの設定**

セッションメタデータの取り込みのために、NexthinkをMicrosoft AVD APIに接続する設定を行います。 このステップにより、VDI エクスペリエンス モジュール内でのインサイトを強化するためのコンテキスト データが利用可能になります。

コネクタをセットアップするには、[https://docs.nexthink.com/platform/ja/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-microsoft-azure-virtual-desktop.md](https://docs.nexthink.com/platform/ja/integrating-nexthink-with-third-party-tools/inbound-connectors/connector-for-microsoft-azure-virtual-desktop.md "mention") に記載されている手順を実行します。
{% endstep %}

{% step %}
**VM に Collector をインストール**

**手動または自動デプロイ**

* **共有 VDI**: クラウド プラットフォーム上で展開されたマルチセッション ホストに Collector をインストールします。 セッションホストがドメインに参加しており、適切なサイズでプロビジョニングされていることを確認してください。
* **個人 VDI （パーシステント）**: パーシステントデスクトップのプロビジョニングまたはオンボーディング中に Collector を標準エージェントとしてインストールします。

両方のシナリオに対しては、次のドキュメントに記載された手順を実施してください。

1. [https://docs.nexthink.com/platform/ja/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#configuring-collector-for-vms](https://docs.nexthink.com/platform/ja/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#configuring-collector-for-vms "mention")
2. [https://docs.nexthink.com/platform/ja/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installing-collector-on-vms](https://docs.nexthink.com/platform/ja/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installing-collector-on-vms "mention")
3. [https://docs.nexthink.com/platform/ja/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installingcollectoronwindows-deployingcollectorusingactivedirectorygrouppolicy-1](https://docs.nexthink.com/platform/ja/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installingcollectoronwindows-deployingcollectorusingactivedirectorygrouppolicy-1 "mention")

**ゴールデンイメージベースのデプロイ**

プールされる VDI （非パースペント）は、展開にゴールデンイメージを使用します。

次のドキュメントに記載された手順を実施してください。

1. [https://docs.nexthink.com/platform/ja/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#configuring-collector-for-vms](https://docs.nexthink.com/platform/ja/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#configuring-collector-for-vms "mention")
2. [https://docs.nexthink.com/platform/ja/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installing-collector-on-vms](https://docs.nexthink.com/platform/ja/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installing-collector-on-vms "mention")
3. [https://docs.nexthink.com/platform/ja/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installingcollectoronwindows-deployingcollectorwithinawindowsreferenceimage](https://docs.nexthink.com/platform/ja/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installingcollectoronwindows-deployingcollectorwithinawindowsreferenceimage "mention")
   {% endstep %}

{% step %}
**コネクタとコレクターをテスト**

**コネクタ**

コネクタ統合からの情報によってデバイスとセッションデータが強化されていることを、次のフィールドを確認することで確認してください:

* ディスク イメージ
* デスクトップ プール
* 仮想化タイプ

強化をテストするには、VM にコレクターをインストールして動作中であることを確認し、次のクエリを実行します:

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == azure_virtual_desktop
| list name, hardware.type, virtualization.disk_image, virtualization.desktop_pool, virtualization.environment_name, virtualization.type, virtualization.last_update
| sort virtualization.last_update desc
```

{% endcode %}

クエリの実行についての詳細は、[Investigations](/platform/ja/user-guide/investigations.md)ドキュメントを参照してください。

**VM 上の Collector**

{% hint style="info" %}
必要に応じて、Nexthink サポートまたは担当者に連絡してください。
{% endhint %}

**共有VDI**

次のようなデータが Nexthink に表示されることを確認してください:

* デバイス ID
* ユーザー名
* デスクトップ プール

これを確認するために、次のクエリを実行してください:

{% code lineNumbers="true" %}

```sql
vdi_sessions
| where device.virtualization.desktop_broker == azure_virtual_desktop and vdi_session.virtualization_type == shared
| list vdi_session.name, user.name, device.name, desktop_pool, first_seen
| sort first_seen desc
```

{% endcode %}

**プールVDI**

デプロイメント後、次を報告していることを確認してください:

* ユニーク デバイス ID
* 正確なプール名
* 直近の起動時間

これを確認するために、次のクエリを実行してください:

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == azure_virtual_desktop and virtualization.type == pooled
| list device.name, virtualization.desktop_pool, boot.last_full_boot_time
| sort boot.last_full_boot_time desc
```

{% endcode %}

**パーソナルVDI**

次の報告が一貫していることを確認してください:

* デバイスIDと割り当てられたユーザー
* 再起動とログオンを跨いだシステム稼働時間

これを確認するために、次のクエリを実行してください:

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == azure_virtual_desktop and virtualization.type == personal
| with session.vdi_events during past 168h
| compute number_of_sessions = vdi_session.count(), time_since_session_last_seen = end_time.last().time_elapsed(), last_user = user.name.last()
| include device_performance.boots during past 168h
| compute number_of_restarts = number_of_boots.sum()
| include session.logins during past 168h
| compute time_since_last_login = time.last().time_elapsed(), number_of_logons = number_of_logins.sum()
| list name, last_user, number_of_sessions, time_since_session_last_seen, number_of_logons, time_since_last_login, number_of_restarts, boot.last_full_boot_time.time_elapsed(), last_seen.time_elapsed()
| sort time_since_session_last_seen desc
```

{% endcode %}
{% endstep %}

{% step %}
**クライアントデバイスにエンドポイント エージェントをインストール**

**企業管理デバイスへの Collector のインストール**

組織によって集中管理されるクライアントデバイスには、お好みのソフトウェアデプロイツールを使用して、適用されるすべてのデバイスに Collector を配布します。

[https://docs.nexthink.com/platform/ja/deploying-nexthink-in-non-vdi-environment/installing-collector/](https://docs.nexthink.com/platform/ja/deploying-nexthink-in-non-vdi-environment/installing-collector/ "mention") ドキュメントに記載された手順を実行してください。

{% hint style="info" %}
VDI クライアント エクステンションはコレクターに組み込まれており、別途インストールする必要はありません。
{% endhint %}

**個人または自己管理デバイスへの VDI Extension のインストール**

個人または自己管理のクライアントデバイス向けに、VDI クライアント エクステンションをインストール可能にします。 この軽量エージェントは、完全な Collector のデプロイメントを必要とせずに、制限されたが貴重なクライアント側メトリクスを提供します。

[Nexthink VDIクライアント拡張機能のインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/installing-the-nexthink-vdi-client-extension.md) ドキュメントに記載されている手順を実施してください。
{% endstep %}

{% step %}
**クライアントデバイスのテスト**

**企業管理デバイス**

管理されたクライアントデバイスから起動されたセッションに対して、次のフィールドへの可視性を確認します:

* ラウンドトリップ時間
* クライアント CPU 使用率
* Wi-Fi 信号強度
* リンク スピード

ネットワーク RTT は VM に Collector がインストールされているだけでも取得可能ですが、完全なクライアント性能情報にはエンドポイントにも Collector をインストールする必要があります。 インストールを検証するために、セッション用のクライアントメトリクスが報告されていることを確認してください。

クライアントデバイスが Collector を実行しており、Nexthink インスタンスにデータを報告している場合、名前がデバイスビューへのリンクとして現れ、詳細な情報と活動にアクセスできます。

これを確認するために、次のクエリを実行してください:

{% code lineNumbers="true" %}

```sql
vdi_sessions
| with session.vdi_events during past 168h
| compute average_network_rtt = network_rtt.avg(), average_wifi_signal_strength = client.network.wifi_signal_strength.avg(), average_link_speed = client.network.wired_link_speed.avg(), average_client_cpu_usage = client.cpu.normalized_usage.avg(), last_client_plugin_version = client.plugin_version.last()
| list vdi_session.name, device.name, user.name, name, last_client.device.name, last_client_plugin_version, average_network_rtt, average_wifi_signal_strength, average_link_speed, average_client_cpu_usage
| sort last_seen desc
```

{% endcode %}

**パートナー管理デバイスまたは個人所有デバイス**

外部管理のクライアントデバイスから起動されたセッションに対して、次のフィールドへの可視性を確認します:

* ラウンドトリップ時間
* クライアント CPU 使用率
* Wi-Fi 信号強度
* リンク スピード

ネットワーク RTT は VM に Collector がインストールされているだけでも取得可能ですが、完全なネットワーク性能情報にはクライアントデバイスに Collector または VDI クライアントエクステンションをインストールする必要があります。 インストールを検証するために、セッション用のネットワーキングメトリクスが報告されていることを確認してください。

VDI クライアント エクステンションがインストールされている場合、追加のデバイスデータは取得されず、したがってクライアントデバイスのデバイスビューは使用できません。 この場合、クライアント関連の性能情報は VDI セッション内でのみ報告されます。

これを確認するために、次のクエリを実行してください:

{% code lineNumbers="true" %}

```sql
vdi_sessions
| with session.vdi_events during past 168h
| compute average_network_rtt = network_rtt.avg(), average_wifi_signal_strength = client.network.wifi_signal_strength.avg(), average_link_speed = client.network.wired_link_speed.avg(), average_client_cpu_usage = client.cpu.normalized_usage.avg(), last_client_plugin_version = client.plugin_version.last()
| list vdi_session.name, device.name, user.name, name, last_client.device.name, last_client_plugin_version, average_network_rtt, average_wifi_signal_strength, average_link_speed, average_client_cpu_usage
| sort last_seen desc
```

{% endcode %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/vdi-platform-specific-deployment-scenarios/microsoft-avd.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
